<div style="text-align: center">
  <p-galleria
    [containerStyle]="{'max-width': '640px'}"
    [numVisible]="4"
    [responsiveOptions]="responsiveOptions"
    [showIndicators]="true"
    [showItemNavigators]="true"
    [showThumbnails]="false"
    [value]="images"
  >
    <ng-template let-item
                 pTemplate="item">
      <img (click)="showZoomImg(item.imageId)"
           [src]="item.previewImageSrc"
           class="portrait-main"
           style="width: 100%; height: 600px;"/>
    </ng-template>
    <ng-template let-item
                 pTemplate="thumbnail">
      <div class="p-grid p-nogutter p-justify-center">
        <div style="max-width: 200px; max-height: 200px; margin: auto">
          <img (click)="showZoomImg(item.imageId)"
               [src]="item.thumbnailImageSrc"
               class="portrait"/>
        </div>
      </div>
    </ng-template>
  </p-galleria>
</div>
